import 'package:json_annotation/json_annotation.dart';

import '../../../base/app_base_request.dart';

part 'send_code_request.g.dart';

@JsonSerializable()
class SendCodeRequest extends AppBaseRequest {
  @JsonKey(name: "phone")
  final String phoneNum;

  SendCodeRequest(this.phoneNum);

  @override
  Map<String, dynamic> toJson() => _$SendCodeRequestToJson(this);
}
